package com.example.alarm;

import java.util.Calendar;
import java.util.GregorianCalendar;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.app.AlarmManager;
import android.app.AlertDialog;
import android.app.Fragment;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import com.ikovac.timepickerwithseconds.view.MyTimePickerDialog;
import com.ikovac.timepickerwithseconds.view.TimePicker;

public class MainActivity extends Activity {

	Button gumb;
	TextView time;

	TextView stevilka;
	TextView vsebina;


	String shrani;
	String cas;
	Long izbranCas;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);


		time = (TextView) findViewById(R.id.time);
		gumb = (Button) findViewById(R.id.button1);

		stevilka = (EditText) findViewById(R.id.stevilka);
		vsebina = (EditText) findViewById(R.id.vsebina);


		gumb.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View arg0) {		
				showPicker();
			}
		});
	}

	public void showPicker(){
		Calendar now = Calendar.getInstance();
		now.set(Calendar.HOUR_OF_DAY, 0);
		now.set(Calendar.MINUTE, 0);
		now.set(Calendar.SECOND, 0);
		now.set(Calendar.MILLISECOND, 0);
		MyTimePickerDialog mTimePicker = new MyTimePickerDialog(this, new MyTimePickerDialog.OnTimeSetListener() {

			@Override
			public void onTimeSet(TimePicker view, int hourOfDay, int minute, int seconds) {
				// TODO Auto-generated method stub
				time.setText(getString(R.string.time) + String.format("%02d", hourOfDay)+
						":" + String.format("%02d", minute) + 
						":" + String.format("%02d", seconds));	
				cas = String.format("%02d",hourOfDay) + String.format("%02d", minute) + String.format("%02d", seconds);
				izbranCas = Long.parseLong(cas);

			}
		}, now.get(Calendar.HOUR_OF_DAY), now.get(Calendar.MINUTE), now.get(Calendar.SECOND), true);
		mTimePicker.show();		
	}


	public void scheduleAlarm(View v)
	{
		// time at which alarm will be scheduled here alarm is scheduled at 1 day from current time, 
		// we fetch  the current time in milliseconds and added 1 day time
		// i.e. 24*60*60*1000= 86,400,000   milliseconds in a day        

		if(stevilka.getText().toString().length() == 0 ){
			Toast.makeText(getBaseContext(), "Manjka telefonska tevilka", Toast.LENGTH_SHORT).show();
		}else if (stevilka.getText().toString().length() < 12){
			Toast.makeText(getBaseContext(), "Neustrezna dolina telefonske tevilke", Toast.LENGTH_SHORT).show();
		}else if (stevilka.getText().toString().charAt(0) != '+'){
			Toast.makeText(getBaseContext(), "Izbrana oblika +... ni vsebovana", Toast.LENGTH_SHORT).show();
		}else if( vsebina.getText().toString().length() == 0){
			Toast.makeText(getBaseContext(), "Manjka vsebina SMS sporoila", Toast.LENGTH_SHORT).show();
		}else{

			Long time = new GregorianCalendar().getTimeInMillis() + izbranCas * 1000;

			// create an Intent and set the class which will execute when Alarm triggers, here we have
			// given AlarmReciever in the Intent, the onRecieve() method of this class will execute when
			// alarm triggers and 
			//we will write the code to send SMS inside onRecieve() method pf Alarmreciever class
			Intent intentAlarm = new Intent(this, AlarmReciever.class);
			intentAlarm.putExtra("vsebina", vsebina.getText().toString());
			intentAlarm.putExtra("stevilka",stevilka.getText().toString());

			// create the object
			AlarmManager alarmManager = (AlarmManager) getSystemService(Context.ALARM_SERVICE);

			//set the alarm for particular time
			alarmManager.set(AlarmManager.RTC_WAKEUP,time, PendingIntent.getBroadcast(this,1,  intentAlarm, PendingIntent.FLAG_UPDATE_CURRENT));
			Toast.makeText(this, "Poiljanje SMS ce " + izbranCas + " na tevilko: " + stevilka.getText().toString() + " z vsebino " + "\"" + vsebina.getText().toString() + "\"", Toast.LENGTH_LONG).show();
		}
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {

		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// Handle action bar item clicks here. The action bar will
		// automatically handle clicks on the Home/Up button, so long
		// as you specify a parent activity in AndroidManifest.xml.
		int id = item.getItemId();
		if (id == R.id.action_settings) {
			AlertDialog alertDialog1 = new AlertDialog.Builder(this).create();
			alertDialog1.setTitle("O aplikaciji");
			alertDialog1.setMessage("Aplikacijo je izdelal Matej Filipovi");
			//alertDialog1.setButton("V redu", new DialogInterface.OnClickListener() {

			//	public void onClick(DialogInterface dialog, int which) {
			// TODO Add your code for the button here.
			//}
			//});
			alertDialog1.show();
			return true;
		}
		return super.onOptionsItemSelected(item);
	}

	/**
	 * A placeholder fragment containing a simple view.
	 */

	public static class PlaceholderFragment extends Fragment {

		public PlaceholderFragment() {
		}

		@Override
		public View onCreateView(LayoutInflater inflater, ViewGroup container,
				Bundle savedInstanceState) {
			View rootView = inflater.inflate(R.layout.fragment_main, container,
					false);
			return rootView;
		}
	}
}